## Class TApplicationStateCacheDependency

Description

TApplicationStateCacheDependency class.

TApplicationStateCacheDependency performs dependency checking based on the mode of the currently running PRADO application. The dependency is reportedly as unchanged if and only if the application is running in performance mode.

You may chain this dependency together with other dependencies so that only when the application is not in performance mode the other dependencies will be checked.

- since: 3.1.0
- version: $Id: TCache.php 2362 2008-01-10 04:59:06Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Caching/TCache.php (line 667)

    TComponent
       |
       --TCacheDependency
          |
          --TApplicationStateCacheDependency

Method Summary
boolean getHasChanged ()
Methods
getHasChanged (line 674)

Performs the actual dependency checking.

This method returns true if the currently running application is not in performance mode.

- return: whether the dependency is changed or not.
- access: public

boolean getHasChanged ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:01 -0400 by phpDocumentor 1.3.0RC4